japa.parser.ast.comments

## Class Comment

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.comments.Comment

Direct Known Subclasses:
  BlockComment, JavadocComment, LineComment

    public abstract class Comment
    extends Node

Abstract class for all AST nodes that represent comments.

Author:
  Julio Vilmar Gesser
See Also:
  `BlockComment`, `LineComment`, `JavadocComment`

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`Comment()`
`Comment(int beginLine, int beginColumn, int endLine, int endColumn, String content)`
`Comment(String content)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContent()` Return the text of the comment.
`void` `setContent(String content)` Sets the text of the comment.

### Methods inherited from class japa.parser.ast.Node

`accept, accept, addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Comment

    public Comment()

#### Comment

    public Comment(String content)

#### Comment

    public Comment(int beginLine,
                   int beginColumn,
                   int endLine,
                   int endColumn,
                   String content)

### Method Detail

#### getContent

    public final String getContent()

Return the text of the comment.

Returns:
  text of the comment

#### setContent

    public void setContent(String content)

Sets the text of the comment.

Parameters:
  `content` - the text of the comment to set